digitization.activationmethods

This event occurs at the beginning of the token provisioning process. This message signals that a token provision has been made and requires a verification method in order to push the OTP. The type of method with its data must be returned in the response (see example below).

KLV data: "digitized device id" = 910, "digitized token requestor id" = 915, "digitization path" = 929, "wallet recommendation" = 930, "tokenization pan source" = 931

For more information on KLV data, click KLV Format

Activation Methods:

ValueMethod
1Masked mobile phone number
2Masked email address
3Call to automated call center initiated by cardholder
4Call to staffed call center initiated by cardholder
5Website
6Mobile application
7Issuer voice call to cardholder phone

Request example:

<?xml version="1.0"?>
<methodCall>
  <methodName>AdministrativeMessage</methodName>
  <params>
    <param>
      <value>
        <string>0009555048</string>
      </value>
    </param>
    <param>
      <value>
        <string>a97af597-5a61-4683-be18-0f9910031743</string>
      </value>
    </param>
    <param>
      <value>
        <string>digitization.activationmethods</string>
      </value>
    </param>
    <param>
      <value>
        <string>91006497953</string>
      </value>
    </param>
    <param>
      <value>
        <string>822190</string>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>20200717T03:38:53</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>DE6AFB51241B7F9D443BC719299B06432C706DC47D76CE10D6C32401135D2D49</string>
      </value>
    </param>
  </params>
</methodCall>

Response example:

<?xml version="1.0"?>
<methodResponse>
  <params>
    <param>
      <value>
        <struct>
          <member>
            <name>resultCode</name>
            <value>
              <int>1</int>
            </value>
          </member>
          <member>
            <name>activationMethods</name>
            <value>
              <array>
                <data>
                  <value>
                    <struct>
                      <member>
                        <name>type</name>
                        <value>1</value>
                      </member>
                      <member>
                        <name>value</name>
                        <value>555-444-2222</value>
                      </member>
                    </struct>
                  </value>
                  <value>
                    <struct>
                      <member>
                        <name>type</name>
                        <value>2</value>
                      </member>
                      <member>
                        <name>value</name>
                        <value>[email protected]</value>
                      </member>
                    </struct>
                  </value>
                </data>
              </array>
            </value>
          </member>
        </struct>
      </value>
    </param>
  </params>
</methodResponse>